#/**
#         ogr McastReceiverFile  sesion Multicast [ str_repo | int_ndisk int_npart ] /Relative_path_file
#@brief   Recibe un fichero multicast   ORIGEN(sesionmulticast) DESTINO(fichero)
#@param (2 parámetros)  $1 sesionMcastCLIENT $2 path_aboluto_fichero_destino  
#@param (3 parámetros)  $1 sesionMcastCLIENT $2 Contenedor REPO|CACHE $3 path_absoluto_fichero_destino
#@param (4 parámetros)  $1 sesionMcastCLIENT $2 disk $3 particion $4 path_absoluto_fichero_destino
#@return  
#@exception OG_ERR_FORMAT     formato incorrecto.
#@note    Requisitos: 
#@version 0.91 - Definición de FileTransfer
#@author  Antonio Doblas Viso, Universidad de Málaga
#@date    2010/05/09
#*/ ##
# 

# nota el nombre del fichero debe tener su extension si es img nombre.img
#Origen
#$1 puerto de entrada

# Destino
# un parametro $2 path absoulo.
# dos parametros $2 CACHE|REPO  y $3 path absoulto(dentro de imagenes)
# tres parametros $2 disk $3 particion $4 directorio absoluto de la particion.

# Variables locales.
local ARGS ARG TARGETDIR TARGETFILE


# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME [ str_portMcast] [ [Relative_path_file] | [str_REPOSITORY path_file] |  [int_ndisk int_npart path_file ]  ]" \
           "$FUNCNAME 9000 /aula1/winxp/file" \
           "$FUNCNAME 9000 CACHE /aula1/winxp/file" \
           "$FUNCNAME 9000 1 1 /Descargas/file" 
          

    return
fi

ARGS="$@"
case "$2" in
    /*)     # Camino completo.          */ (Comentrio Doxygen)
    	TARGETDIR=$(ogr GetParentPath "$2")
		ARG=2
		echo $TARGETDIR
	;;
    [1-9]*) # ndisco npartición.
    	TARGETDIR=$(ogr GetParentPath "$2" "$3" "$4")
        ARG=4
        echo $TARGETDIR
    ;;
    *)      # Otros: repo, cache, cdrom (no se permiten caminos relativos).
    	TARGETDIR=$(ogr GetParentPath "$2" "$3")
        ARG=3
        echo $TARGETDIR
    ;;
esac

# Error si no se reciben los argumentos ARG necesarios según la opcion.
[ "$#" -ne "$ARG" ] && ogr RaiseError $OG_ERR_FORMAT && return $?

#obtenemos el nombre del fichero a descargar.
TARGETFILE=`basename ${!ARG}`

#generamos la instrucción a ejecutar.  
COMMAND=`ogr GenerateSintaxMcast RECEIVERFILE "$1" $TARGETDIR/$TARGETFILE `
echo $COMMAND
eval $COMMAND
